Pb php4/apache2 avec index.php en module 
Author Message
 Pb php4/apache2 avec index.php en module

J'utilise php4 (derniere version), en module (SAPI) avec apache2, apres des
heures de galere j'ai enfin reussit a l'install en mettant une nouvelle
version d'apache2 certainement un pb avec la version 2.037...

mon pb:
Lorsque je tape http://www.*-*-*.com/ (comme
defini par "DirectoryIndex" ) mais sans l'interpreter. Par contre
http://www.*-*-*.com/ !

O est le pb ? dans le fichier httpd.conf evidement mais o ???

--
_____
Julien
(remplacer "j'aime pas les spams" par "free.fr")



Sun, 22 May 2005 03:53:43 GMT  
 Pb php4/apache2 avec index.php en module
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

(translated from French to English using http://babelfish.altavista.com)

Quote:
> I use php4 (derniere version), modulates some (SAPI) with apache2, after
> hours of galere I have finally reussit has the install en putting a new
> version of apache2 certainly Pb with version 2.037... my Pb: When I type
> http://127.0.0.1/that re-examines the file index.php (like defini by
> "DirectoryIndex") but without the interpreter. On the other hand
> http://127.0.0.1/index.php is to him interpret ! Is O Pb? in the file
> httpd.conf cavity but O???

It sounds like you are getting the source of the code sent back to you (ie
php is not parsing the code).

a) What is Pb?

b) are you certain that httpd.conf file you are looking at is the one that
the new version of apache is using?

if you used the defaults when you configured, you should have httpd.conf in

/usr/local/apache2/conf

c) do you have the settings for php in httpd.conf ?

LoadModule php4_module        modules/libphp4.so
AddType application/x-httpd-php .php

d) when you built php, did you use

./configure --with-apxs2

Take care,

- --
Waitman Gobble         EMK Design     Buena Park, California

Public Key                          http://pgp.emkdesign.com
Find an example                    http://freakinexample.com
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.7 (GNU/Linux)

iD8DBQE97acZlkBqm2sl6RIRAuirAJ0bmcHknegv9MQQR+eoUmUC5BINoQCglLnx
2H5lHVQHDG8ZpzZGIS3WFEs=
=e2yl
-----END PGP SIGNATURE-----



Sun, 22 May 2005 14:55:40 GMT  
 Pb php4/apache2 avec index.php en module

Quote:
>> I use php4 (derniere version), modulates some (SAPI) with apache2,
>> after hours of galere I have finally reussit has the install?en
>> putting a new version of apache2 certainly Pb with version 2.037...
>> my Pb: When I type http://127.0.0.1/that re-examines the file
>> index.php (like defini by "DirectoryIndex") but without the
>> interpreter. On the other hand http://127.0.0.1/index.php is to him
>> interpret?! Is O Pb? in the file httpd.conf cavity but O???

> It sounds like you are getting the source of the code sent back to
> you (ie php is not parsing the code).

> a) What is Pb?

> b) are you certain that httpd.conf file you are looking at is the one
> that the new version of apache is using?

> if you used the defaults when you configured, you should have
> httpd.conf in

> /usr/local/apache2/conf

> c) do you have the settings for php in httpd.conf ?

> LoadModule php4_module        modules/libphp4.so
> AddType application/x-httpd-php .php

> d) when you built php, did you use

> ./configure --with-apxs2

> Take care,

Thanks a lot,

(I'm using win32)
i've found the problem, i'm so stupid ! I use IE but even if you press
actualize it dosen't actualize the page on localhost (i don't know why ! ),
you need to stop IE and restart it or change the url (by adding "?sth" for
example).
That's why i've done a lot of error in my httpd.conf ! Now i'vn't put
"AddType application/x-httpd-php .php" i have put "application/x-httpd-php
.php" in mime-type file. It's seem to work well.

Thank for your answer,

_____
Julien
(remplacer "j'aime pas les spams" par "free.fr")



Sun, 22 May 2005 19:36:20 GMT  
 
 [ 3 post ] 

 Relevant Pages 

1. Apache2.0.45 + php4.3.1 + mysql4.0.11 = undefined references to errno

2. Building PHP4.3.0 and Apache2 under unixware 7.1.3

3. php4.2.3 not compatible with Apache2

4. PHP4/Apache2 - SSI virtual include works once

5. pb with compile of apache with php module.

6. PB 1st start with PHP423 on Apache2

7. having problems configuring php 4.3.1 and apache2

8. PHP/Apache2.0 parsing problem

9. HEEELP! apache2+PHP trouble

10. apache2+php problem

11. PHP, PDF, and FDF - problem with PHP4 default Content-Type: text/html

12. switching index.html to index.php

 

 
Powered by phpBB® Forum Software